### Method

# FwupdPlugin BluezDevice notify_start

since: 1.5.8

#### Declaration [src]

    gboolean
    fu_bluez_device_notify_start (
      FuBluezDevice* self,
      const gchar* uuid,
      GError** error
    )

#### Description [src]

Enables notifications for property changes in a UUID (StartNotify method).

Available since: 1.5.8

#### Parameters

`uuid`

  Type: `const gchar*`

  The UUID, e.g. `00cde35c-7062-11eb-9439-0242ac130002`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the method call completed successfully.